# Google Cloud Deployment Manager API V2 . resources

## Instance Methods

Gets information about a single resource.

Lists all resources in a given deployment.

Retrieves the next page of results.

### Method Details

`get(project, deployment, resource)`

    Gets information about a single resource.

    Args:
      project: string, The project ID for this request. (required)
      deployment: string, The name of the deployment for this request. (required)
      resource: string, The name of the resource for this request. (required)

    Returns:
      An object of the form:

        {
        "errors": [ # [Output Only] A list of any errors that occurred during deployment.
          "A String",
        ],
        "name": "A String", # [Output Only] The name of the resource as it appears in the YAML config.
        "url": "A String", # [Output Only] The URL of the actual resource.
        "manifest": "A String", # [Output Only] URL of the manifest representing the current configuration of this resource.
        "state": "A String", # [Output Only] The state of the resource.
        "intent": "A String", # [Output Only] The intended state of the resource.
        "type": "A String", # [Output Only] The type of the resource, for example ?compute.v1.instance?, or ?replicaPools.v1beta2.instanceGroupManager?
        "id": "A String", # [Output Only] Unique identifier for the resource; defined by the server.
      }

`list(project, deployment, pageToken=None, maxResults=None)`

    Lists all resources in a given deployment.

    Args:
      project: string, The project ID for this request. (required)
      deployment: string, The name of the deployment for this request. (required)
      pageToken: string, Specifies a nextPageToken returned by a previous list request. This token can be used to request the next page of results from a previous list request.
      maxResults: integer, Maximum count of results to be returned. Acceptable values are 0 to 100, inclusive. (Default: 50)

    Returns:
      An object of the form:

        { # A response containing a partial list of resources and a page token used to build the next request if the request has been truncated.
        "nextPageToken": "A String", # A token used to continue a truncated list request.
        "resources": [ # Resources contained in this list response.
          {
            "errors": [ # [Output Only] A list of any errors that occurred during deployment.
              "A String",
            ],
            "name": "A String", # [Output Only] The name of the resource as it appears in the YAML config.
            "url": "A String", # [Output Only] The URL of the actual resource.
            "manifest": "A String", # [Output Only] URL of the manifest representing the current configuration of this resource.
            "state": "A String", # [Output Only] The state of the resource.
            "intent": "A String", # [Output Only] The intended state of the resource.
            "type": "A String", # [Output Only] The type of the resource, for example ?compute.v1.instance?, or ?replicaPools.v1beta2.instanceGroupManager?
            "id": "A String", # [Output Only] Unique identifier for the resource; defined by the server.
          },
        ],
      }

`list_next(previous_request, previous_response)`

    Retrieves the next page of results.

    Args:
      previous_request: The request for the previous page. (required)
      previous_response: The response from the request for the previous page. (required)

    Returns:
      A request object that you can call 'execute()' on to request the next
      page. Returns None if there are no more items in the collection.